Skip to main content
PUT
/
api
/
team-members
/
{id}
Update TeamMember
curl --request PUT \
  --url https://platform.kodexa.ai/api/team-members/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "team": {
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "id": "<string>",
    "name": "<string>",
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "searchText": "<string>",
    "slug": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "teamId": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "user": {
    "active": true,
    "bio": "<string>",
    "businessGroup": "<string>",
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "email": "<string>",
    "firstName": "<string>",
    "groupsJson": "<string>",
    "id": "<string>",
    "image": "<string>",
    "isExternallyManaged": true,
    "lastName": "<string>",
    "preferences": {
      "showOnboarding": true,
      "showScrollbars": true,
      "showWelcomeMessage": true
    },
    "rolesJson": "<string>",
    "searchText": "<string>",
    "security": {
      "roles": [
        "<string>"
      ]
    },
    "showDeveloperTools": true,
    "title": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "userStorage": {
      "favoriteLinks": [
        {
          "link": "<string>"
        }
      ]
    },
    "userType": "<string>",
    "uuid": "<string>"
  },
  "userId": "<string>",
  "uuid": "<string>"
}
'
import requests

url = "https://platform.kodexa.ai/api/team-members/{id}"

payload = {
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"id": "<string>",
"team": {
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"organization": {
"archived": True,
"authGroupLink": { "authGroup": "<string>" },
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"defaultToPrivateTemplates": True,
"description": "Document processing organization for Acme Corp.",
"enterpriseOrganization": True,
"features": {},
"hasImage": True,
"id": "550e8400-e29b-41d4-a716-446655440000",
"memory": { "orderedDashboards": ["<string>"] },
"name": "Acme Corp",
"organizationStatus": "ACTIVE",
"properties": {},
"publicAccess": True,
"searchText": "<string>",
"slug": "acme-corp",
"stripeCustomerId": "<string>",
"supportAccess": True,
"supportAccessExpiresAt": "2023-11-07T05:31:56Z",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "550e8400e29b41d4a716446655440000"
},
"organizationId": "<string>",
"searchText": "<string>",
"slug": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"uuid": "<string>"
},
"teamId": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"user": {
"active": True,
"bio": "<string>",
"businessGroup": "<string>",
"changeSequence": 123,
"createdOn": "2023-11-07T05:31:56Z",
"email": "<string>",
"firstName": "<string>",
"groupsJson": "<string>",
"id": "<string>",
"image": "<string>",
"isExternallyManaged": True,
"lastName": "<string>",
"preferences": {
"showOnboarding": True,
"showScrollbars": True,
"showWelcomeMessage": True
},
"rolesJson": "<string>",
"searchText": "<string>",
"security": { "roles": ["<string>"] },
"showDeveloperTools": True,
"title": "<string>",
"updatedOn": "2023-11-07T05:31:56Z",
"userStorage": { "favoriteLinks": [{ "link": "<string>" }] },
"userType": "<string>",
"uuid": "<string>"
},
"userId": "<string>",
"uuid": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changeSequence: 123,
createdOn: '2023-11-07T05:31:56Z',
id: '<string>',
team: {
changeSequence: 123,
createdOn: '2023-11-07T05:31:56Z',
description: '<string>',
id: '<string>',
name: '<string>',
organization: {
archived: true,
authGroupLink: {authGroup: '<string>'},
changeSequence: 123,
createdOn: '2023-11-07T05:31:56Z',
defaultToPrivateTemplates: true,
description: 'Document processing organization for Acme Corp.',
enterpriseOrganization: true,
features: {},
hasImage: true,
id: '550e8400-e29b-41d4-a716-446655440000',
memory: {orderedDashboards: ['<string>']},
name: 'Acme Corp',
organizationStatus: 'ACTIVE',
properties: {},
publicAccess: true,
searchText: '<string>',
slug: 'acme-corp',
stripeCustomerId: '<string>',
supportAccess: true,
supportAccessExpiresAt: '2023-11-07T05:31:56Z',
updatedOn: '2023-11-07T05:31:56Z',
uuid: '550e8400e29b41d4a716446655440000'
},
organizationId: '<string>',
searchText: '<string>',
slug: '<string>',
updatedOn: '2023-11-07T05:31:56Z',
uuid: '<string>'
},
teamId: '<string>',
updatedOn: '2023-11-07T05:31:56Z',
user: {
active: true,
bio: '<string>',
businessGroup: '<string>',
changeSequence: 123,
createdOn: '2023-11-07T05:31:56Z',
email: '<string>',
firstName: '<string>',
groupsJson: '<string>',
id: '<string>',
image: '<string>',
isExternallyManaged: true,
lastName: '<string>',
preferences: {showOnboarding: true, showScrollbars: true, showWelcomeMessage: true},
rolesJson: '<string>',
searchText: '<string>',
security: {roles: ['<string>']},
showDeveloperTools: true,
title: '<string>',
updatedOn: '2023-11-07T05:31:56Z',
userStorage: {favoriteLinks: [{link: '<string>'}]},
userType: '<string>',
uuid: '<string>'
},
userId: '<string>',
uuid: '<string>'
})
};

fetch('https://platform.kodexa.ai/api/team-members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "team": {
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "id": "<string>",
    "name": "<string>",
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "searchText": "<string>",
    "slug": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "<string>"
  },
  "teamId": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "user": {
    "active": true,
    "bio": "<string>",
    "businessGroup": "<string>",
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "email": "<string>",
    "firstName": "<string>",
    "groupsJson": "<string>",
    "id": "<string>",
    "image": "<string>",
    "isExternallyManaged": true,
    "lastName": "<string>",
    "preferences": {
      "showOnboarding": true,
      "showScrollbars": true,
      "showWelcomeMessage": true
    },
    "rolesJson": "<string>",
    "searchText": "<string>",
    "security": {
      "roles": [
        "<string>"
      ]
    },
    "showDeveloperTools": true,
    "title": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "userStorage": {
      "favoriteLinks": [
        {
          "link": "<string>"
        }
      ]
    },
    "userType": "<string>",
    "uuid": "<string>"
  },
  "userId": "<string>",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Body

application/json

A team member represents a user's membership in a team.

changeSequence
integer<int32>
createdOn
string<date-time>
id
string
team
object | null

A team groups users together for collaborative access control within projects.

teamId
string | null
updatedOn
string<date-time>
user
object | null

A platform user represents a user account in the Kodexa platform.

userId
string | null
uuid
string

Response

Updated TeamMember

A team member represents a user's membership in a team.

changeSequence
integer<int32>
createdOn
string<date-time>
id
string
team
object | null

A team groups users together for collaborative access control within projects.

teamId
string | null
updatedOn
string<date-time>
user
object | null

A platform user represents a user account in the Kodexa platform.

userId
string | null
uuid
string